> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/tiled-plugin/tiledmapsave.md).

# TiledMapSave

### Introduction

TiledMapSave is a serializable class which is used by FlatRedBall when loading a .tmx file. TiledMapSave is an intermediary class loading a tmx file into a runtime LayeredTileMap. It can also be used to inspect the contents of a .tmx file or to make modifications and save a .tmx to disk.

Most games do not need to use this class in their own code.

### Loading a TMX

The following code can be used to load a tmx file into a TiledMapSave:

```csharp
// If false, then the source PNG files are not loaded
// This can make loading faster, and suppresses exceptions
// if referenced PNGs are not found. Set this to true if you
// intend to eventually convert the TiledMapSave to a runtime 
// object
Tileset.ShouldLoadValuesFromSource = false;
var tiledMapSave = TiledMapSave.FromFile(absoluteFile);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/tiled-plugin/tiledmapsave.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
